.btn {
  &:link,
  &:visited{
    text-transform: uppercase;
    text-decoration: none;
    padding: 1.5rem 4rem;
    display: inline-block;
    border-radius: 10rem;
    position: relative;
    transition: all .2s;
    font-size: $default-font-size;
  }

  &:hover {
    transform: translateY(-.3rem);
    box-shadow: 0 1rem 2rem rgba($color-black, .2);

    &::after {
      transform: scaleX(1.4 ) scaleY(1.6);
      opacity: 0;
    }
  }

  &:active {
    transform: translateY(-.1rem);
    box-shadow: 0 .5rem 1rem rgba($color-black, .2);
  }

  &--white {
    background-color: $color-white;
    color: $color-grey-dark;

    &::after {
      background-color: $color-white;
    }

  }

  &--primary {
    background-color: $color-primary;
    color: $color-white;
  }

  &::after {
    content: "";
    display: inline-block;
    height: 100%;
    width:100%;
    border-radius: 10rem;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;

    transition: all .4s;
  }

  &--animated {
    animation: moveInBottom .5s ease-out .75s;
    animation-fill-mode: backwards;
  }
}

.btn-text {
  &:link,
  &:visited {
    color: $color-primary;
    display: inline-block;
    text-decoration: none;
    border-bottom: 0.1rem solid $color-primary;
    padding: 0.3rem;
    font-size: $default-font-size;
  }

  &:hover {
    background-color: $color-primary;
    color: $color-grey-light-1;
    box-shadow: 0 1rem 2rem rgba($color-black, .15);
    transform: translateY(-.2rem);
    transition: all .2s;
  }
  &:active {
    box-shadow: 0 .5rem 1rem rgba($color-black, .15);
    transform: translateY(0);
  }
}